Package org.acplt.oncrpc.server

## Class OncRpcTcpServerTransport.TransportList.Node

- java.lang.Object
- - org.acplt.oncrpc.server.OncRpcTcpServerTransport.TransportList.Node

- Enclosing class:
    OncRpcTcpServerTransport.TransportList

      private class OncRpcTcpServerTransport.TransportList.Node
      extends java.lang.Object

  Node class referencing an individual open transport and holding references to the previous and next open transports.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `(package private) java.lang.Object` | `item` | The item/object placed at this position in the list.
    `(package private) OncRpcTcpServerTransport.TransportList.Node` | `next` | Next item node (in other words: next open transport) in the list.
    `(package private) OncRpcTcpServerTransport.TransportList.Node` | `prev` | Previous item node (in other words: previous open transport) in the list.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Node​(java.lang.Object item)` | Create a new instance of a node object and let it reference an open transport.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### next

          OncRpcTcpServerTransport.TransportList.Node next

      Next item node (in other words: next open transport) in the list. This will never be `null` for the first item, but instead reference the last item. Thus, the list is circular.

    - #### prev

          OncRpcTcpServerTransport.TransportList.Node prev

      Previous item node (in other words: previous open transport) in the list. This will never be `null` for the last item, but instead reference the first item. Thus, the list is circular.

    - #### item

          java.lang.Object item

      The item/object placed at this position in the list. This currently always references an open transport.

  - ### Constructor Detail

    - #### Node

          public Node​(java.lang.Object item)

      Create a new instance of a node object and let it reference an open transport. The creator of this object is then responsible for adding this node to the circular list itself.